Bug 999140 - [abrt] system-config-samba-1.2.100-1.fc19: shareWindow.py:531:onBrowseButtonClicked:TypeError: Gtk.Entry.set_text() argument 1 must be string, not None [NEEDINFO]
[abrt] system-config-samba-1.2.100-1.fc19: shareWindow.py:531:onBrowseButtonC...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:2f04644565fcedc1b2cb8682faf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 15:33 EDT by Elias Oliveira de Jesus
Modified: 2015-02-17 11:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:51:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkoncick: needinfo? (flama.es)


Attachments (Terms of Use)
File: backtrace (615 bytes, text/plain)
2013-08-20 15:33 EDT, Elias Oliveira de Jesus
no flags Details
File: environ (1.95 KB, text/plain)
2013-08-20 15:33 EDT, Elias Oliveira de Jesus
no flags Details

  None (edit)
Description Elias Oliveira de Jesus 2013-08-20 15:33:37 EDT
Version-Release number of selected component:
system-config-samba-1.2.100-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/system-config-samba
executable:     /usr/bin/system-config-samba
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
shareWindow.py:531:onBrowseButtonClicked:TypeError: Gtk.Entry.set_text() argument 1 must be string, not None

Traceback (most recent call last):
  File "/usr/share/system-config-samba/shareWindow.py", line 531, in onBrowseButtonClicked
    self.dir_entry.set_text(dlg.get_filename())
TypeError: Gtk.Entry.set_text() argument 1 must be string, not None

Local variables in innermost frame:
self: <shareWindow.ShareWindow object at 0xabd650>
args: (<gtk.Button object at 0xf81820 (GtkButton at 0x83bee0)>,)
dlg: <gtk.FileChooserDialog object at 0xf81be0 (GtkFileChooserDialog at 0x120c010)>
result: -5
filename: None
Comment 1 Elias Oliveira de Jesus 2013-08-20 15:33:40 EDT
Created attachment 788612 [details]
File: backtrace
Comment 2 Elias Oliveira de Jesus 2013-08-20 15:33:44 EDT
Created attachment 788613 [details]
File: environ
Comment 3 Jaromír Končický 2014-03-20 05:42:52 EDT
According to the report it happened after you clicked Browse button in Create Samba Share dialog.
Cal you please describe what exacly you did and what happened?
Like when you clicked Browse button, whether the Select Directory dialog appeared, then which directory you selected and what happened after you clicked OK. Thanks.
Comment 4 Fedora End Of Life 2015-01-09 14:32:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:51:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.